---
updatedAt: 2026-06-02T21:08:59.000Z
agentTools:
  projectIndex: https://docs.bridgeft.com/llms.txt
---

# Account Performance Data

Fetch Account Performance for a list of Account IDs

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Wealthtech API",
    "description": "RESTful API for controlling and interacting with Atlas data",
    "version": "2.6.0"
  },
  "servers": [
    {
      "url": "https://api.bridgeft.com/v2"
    }
  ],
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/analytics/account-performance": {
      "post": {
        "tags": [
          "Account Performance"
        ],
        "summary": "Account Performance Data",
        "description": "Fetch Account Performance for a list of Account IDs",
        "operationId": "getAccountPerformance",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "as_of_date",
                  "entity_ids"
                ],
                "properties": {
                  "entity_ids": {
                    "title": "Entity Ids",
                    "description": "List of account Ids",
                    "type": "array",
                    "items": {
                      "type": "integer"
                    },
                    "example": [
                      27585,
                      28028
                    ]
                  },
                  "as_of_date": {
                    "title": "As of Date",
                    "description": "Date for which the account performance is calculated",
                    "type": "string",
                    "format": "date",
                    "example": "2022-07-31"
                  },
                  "gross_fee_performance": {
                    "title": "Gross Fee Performance",
                    "description": "True for gross of fees performance calculations; false (default) for net of fees performance calculations",
                    "type": "boolean",
                    "example": false
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Performance for provided account IDs",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "mtd": {
                        "title": "MTD",
                        "description": "Month to date return, percentage scale",
                        "type": "object",
                        "properties": {
                          "entity_id": {
                            "title": "Entity ID",
                            "description": "Id of the account entity",
                            "type": "integer"
                          },
                          "net_return": {
                            "title": "Net return",
                            "description": "Percentage net return of the account entity",
                            "type": "number",
                            "format": "float"
                          },
                          "current_balance": {
                            "title": "Current balance",
                            "description": "Account's current balance",
                            "type": "number",
                            "format": "float"
                          }
                        }
                      },
                      "qtd": {
                        "title": "QTD",
                        "description": "Quarter to date return, percentage scale",
                        "$ref": "#/paths/~1analytics~1account-performance/post/responses/200/content/application~1json/schema/items/properties/mtd"
                      },
                      "ytd": {
                        "title": "YTD",
                        "description": "Year to date return, percentage scale",
                        "$ref": "#/paths/~1analytics~1account-performance/post/responses/200/content/application~1json/schema/items/properties/mtd"
                      },
                      "one": {
                        "title": "One",
                        "description": "One year return, percentage scale",
                        "$ref": "#/paths/~1analytics~1account-performance/post/responses/200/content/application~1json/schema/items/properties/mtd"
                      },
                      "three": {
                        "title": "Three",
                        "description": "Three years return, percentage scale",
                        "$ref": "#/paths/~1analytics~1account-performance/post/responses/200/content/application~1json/schema/items/properties/mtd"
                      },
                      "five": {
                        "title": "Five",
                        "description": "Five years return, percentage scale",
                        "$ref": "#/paths/~1analytics~1account-performance/post/responses/200/content/application~1json/schema/items/properties/mtd"
                      },
                      "itd": {
                        "title": "ITD",
                        "description": "Inception to date return, percentage scale",
                        "$ref": "#/paths/~1analytics~1account-performance/post/responses/200/content/application~1json/schema/items/properties/mtd"
                      },
                      "itda": {
                        "title": "ITDA",
                        "description": "Inception to date annualized return, percentage scale",
                        "$ref": "#/paths/~1analytics~1account-performance/post/responses/200/content/application~1json/schema/items/properties/mtd"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1jobs~1/get/responses/400"
          }
        }
      }
    },
    "/jobs/": {
      "get": {
        "tags": [
          "Jobs"
        ],
        "summary": "List all Jobs",
        "description": "Returns a list of jobs",
        "operationId": "getJobs",
        "parameters": [
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/page"
          }
        ],
        "responses": {
          "200": {
            "description": "An enveloped list of Jobs",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "example": "list"
                    },
                    "has_next": {
                      "type": "boolean"
                    },
                    "has_previous": {
                      "type": "boolean"
                    },
                    "current_page": {
                      "type": "integer",
                      "example": 2
                    },
                    "total_pages": {
                      "type": "integer",
                      "example": 5
                    },
                    "page_size_limit": {
                      "type": "integer",
                      "example": 10000
                    },
                    "total_items": {
                      "type": "integer",
                      "example": 50
                    },
                    "data": {
                      "$ref": "#/components/schemas/Jobs"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Error": {
        "type": "object",
        "required": [
          "message"
        ],
        "properties": {
          "message": {
            "type": "string"
          },
          "validation_errors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Bearer"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```